Incidents — Docs - Rocketeers app

  [ Rocketeers ](/)   

[Login](https://rocketeersapp.com/login) 

  Documentation menu   

On this page

 [Docs](https://rocketeersapp.com/docs) / [Using the API](https://rocketeersapp.com/docs/api)

    Copy as Markdown 

Incidents
=========

List the incidents recorded for a team.

1. [Endpoint](#content-endpoint)
2. [Query parameters](#content-query-parameters)
3. [Example request](#content-example-request)
4. [Example response](#content-example-response)

Returns the incidents recorded for a team.

[\#](#content-endpoint "Permalink")Endpoint
-------------------------------------------

 ```
GET /api/{team}/incidents

```

Required ability: `incidents:read`

[\#](#content-query-parameters "Permalink")Query parameters
-----------------------------------------------------------

 Parameter Type Default Maximum Description  `per_page` integer 20 50 Number of objects per page. `page` integer 1 N/A The page to retrieve.[\#](#content-example-request "Permalink")Example request
---------------------------------------------------------

 ```
curl "https://rocketeersapp.com/api/your-team/incidents?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

```

[\#](#content-example-response "Permalink")Example response
-----------------------------------------------------------

 ```
{
  "data": [
    {
      "id": 1,
      "status": "resolved",
      "severity": "high",
      "label": "Database connection pool exhausted",
      "resolved_at": "2026-06-20T15:42:00+00:00",
      "created_at": "2026-06-20T14:10:00+00:00"
    },
    {
      "id": 2,
      "status": "open",
      "severity": "low",
      "label": "Elevated response times on web-02",
      "resolved_at": null,
      "created_at": "2026-06-24T07:55:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/incidents?page=1",
    "last": "https://rocketeersapp.com/api/your-team/incidents?page=2",
    "prev": null,
    "next": "https://rocketeersapp.com/api/your-team/incidents?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 2,
    "per_page": 20,
    "to": 20,
    "total": 34,
    "path": "https://rocketeersapp.com/api/your-team/incidents"
  },
  "results": 20,
  "served_in": "9.27ms"
}

```

[ Previous  Schedulers](https://rocketeersapp.com/docs/api/schedulers) [ Next   Errors](https://rocketeersapp.com/docs/api/errors)
